// component/documentItem/documentItem.ts
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        itemData: null
    },

    /**
     * 组件的初始数据
     */
    data: {
        type: 1,
        hasDownLoad: true
    },
    lifetimes: {
        attached: function () {
            // 在组件实例被从页面节点树添加时执行

            this.setData({
                type: this.properties.itemData.type
            })

        },
        detached: function () {
            // 在组件实例被从页面节点树移除时执行

        },
    },

    /**
     * 组件的方法列表
     */
    methods: {
        showActionWindow: function () {
            this.triggerEvent("showActionWindow", { item: this.properties.itemData })
        }
    }
})
